package com.bcxin.statistics.configs;

import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.SchedulingConfigurer;
import org.springframework.scheduling.config.ScheduledTaskRegistrar;

import java.util.concurrent.Executors;

/**
 * 多线程定时任务
 */
@Configuration
public class ScheduleThreadPoolConfig implements SchedulingConfigurer {

    @Override
    public void configureTasks(ScheduledTaskRegistrar taskRegistrar) {
        //设定一个长度的定时任务线程池
        taskRegistrar.setScheduler(Executors.newScheduledThreadPool(1));
    }
}
