package com.bcxin.statistics.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * description：智能人事-驻勤点表
 * author：linchunpeng
 * date：2024/12/31
 */
@Data
@TableName(value = "tlk_attendance_site_base_info", schema = "baibaodunflow")
public class TlkAttendanceSiteBaseInfoEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID")
    @ApiModelProperty(value = "驻勤点id")
    private String id;

    @TableField(value = "domainid")
    @ApiModelProperty(value = "组织id")
    private String domainid;

    @TableField(value = "ITEM_PROJECT_ID")
    @ApiModelProperty(value = "项目id")
    private String itemProjectId;

    @TableField(value = "ITEM_attendanceSiteName")
    @ApiModelProperty(value = "驻勤点名称")
    private String itemAttendanceSiteName;

    //驻勤点详细地址
    @TableField(value = "ITEM_attendanceSiteFullAddress")
    private String itemAttendanceSiteFullAddress;

    //驻勤点经度
    @TableField(value = "ITEM_attendanceSiteLongitude")
    private BigDecimal itemAttendanceSiteLongitude;

    //驻勤点纬度
    @TableField(value = "ITEM_attendanceSiteLatitude")
    private BigDecimal itemAttendanceSiteLatitude;

    //执行范围
    @TableField(value = "ITEM_performRange")
    private BigDecimal itemPerformRange;

    //驻勤点状态,已完善
    @TableField(value = "ITEM_attendanceSiteState")
    private String itemAttendanceSiteState;

    //驻勤开始日期
    @TableField(value = "ITEM_attendanceStartDate")
    private Date itemAttendanceStartDate;

    //驻勤结束日期
    @TableField(value = "ITEM_attendanceEndDate")
    private Date itemAttendanceEndDate;

    //负责人，职员id
    @TableField(value = "ITEM_principal")
    private String itemPrincipal;

    //是否删除
    @TableField(value = "ITEM_isdeleted")
    private String itemIsdeleted;

    //驻勤点类型，0或空：常驻，其他：临保
    @TableField(value = "ITEM_ATT_TYPE")
    private String itemAttType;


}